# Class TCEFLinkedWinControlBase

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFLinkedWinControlBase

## Declaration

`type TCEFLinkedWinControlBase = class(TCEFWinControl)`

## Description

TCEFLinkedWinControlBase is a custom TWinControl to host the child controls created by the web browser to show the web contents and it's linked to the TChromium instance that handles that web browser. TCEFLinkedWinControlBase is the parent class of TChromiumWindow, TBrowserWindow and TCEFLinkedWindowParent.

## Hierarchy

- TWinControl
- TCEFWinControl
- TCEFLinkedWinControlBase

## Overview

### Fields

| `FUseSetFocus: boolean;`

### Methods

| `function GetChromium: TChromium; virtual; abstract;`
| `function GetUseSetFocus: Boolean; virtual;`
| `procedure SetUseSetFocus(aValue : boolean); virtual;`
| `procedure SetVisible(Value: Boolean); override;`
| `function GetChildWindowHandle: THandle; override;`
| `procedure WndProc(var aMessage: TMessage); override;`
| `constructor Create(AOwner: TComponent); override;`
| `procedure UpdateSize; override;`

### Properties

| `property Chromium : TChromium read GetChromium;`
| `property UseSetFocus : boolean read GetUseSetFocus write SetUseSetFocus default True;`

## Description

### Fields

| `FUseSetFocus: boolean;`
This item has no description.

### Methods

| `function GetChromium: TChromium; virtual; abstract;`
This item has no description.

| `function GetUseSetFocus: Boolean; virtual;`
This item has no description.

| `procedure SetUseSetFocus(aValue : boolean); virtual;`
This item has no description.

| `procedure SetVisible(Value: Boolean); override;`
This item has no description.

| `function GetChildWindowHandle: THandle; override;`
This item has no description.

| `procedure WndProc(var aMessage: TMessage); override;`
This item has no description.

| `constructor Create(AOwner: TComponent); override;`
This item has no description.

| `procedure UpdateSize; override;`
This item has no description. Showing description inherited from TCEFWinControl.UpdateSize. Updates the size of the child windows created by the browser.

### Properties

| `property Chromium : TChromium read GetChromium;`
TChromium instance used by this component.

| `property UseSetFocus : boolean read GetUseSetFocus write SetUseSetFocus default True;`
Use TChromium.SetFocus when the component receives a WM_SETFOCUS message in Windows.

Generated by PasDoc 0.16.0-snapshot.